Bug 1376731 (CVE-2016-7421)

Summary: CVE-2016-7421 Qemu: scsi: pvscsi: infinite loop when processing IO requests
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit.shah, aortega, apevec, areis, ayoung, berrange, cfergeau, chrisw, crobinso, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbalakri, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-16 10:25:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1376733    
Bug Blocks: 1326713    

Description Prasad J Pandit 2016-09-16 09:26:27 UTC
Quick Emulator(Qemu) built with the VMWARE PVSCSI paravirtual SCSI bus
emulation support is vulnerable to an infinite loop issue.
It could occur while processing SCSI IO requests.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg03609.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/09/16/3

Comment 1 Prasad J Pandit 2016-09-16 09:28:04 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1376733]

Comment 2 Prasad J Pandit 2016-09-16 09:39:52 UTC
Acknowledgements:

Name: Li Qiang, Victor V (360.cn Inc.)

Comment 3 Cole Robinson 2016-10-15 23:49:43 UTC
commit d251157ac1928191af851d199a9ff255d330bec9
Author: Prasad J Pandit <pjp>
Date:   Wed Sep 14 15:09:12 2016 +0530

    scsi: pvscsi: limit process IO loop to ring size